sexplib

AuthorJane Street Group, LLC <opensource@janestreet.com>
LicenseApache-2.0
Homepagehttps://github.com/janestreet/sexplib
Issue Trackerhttps://github.com/janestreet/sexplib/issues
Maintaineropensource@janestreet.com
Dependencies
&jbuilder>= 1.0+beta2&1.0+beta12
num
Availableocaml-version >= "4.03.0" & ocaml-version < "4.06.0"
PublishedMar 28, 2017
Source [http] https://github.com/janestreet/sexplib/archive/v0.9.1.tar.gz
2e820b5de70ba33883c936cd7af317fb
StatisticsInstalled 2 times last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/sexplib/sexplib.v0.9.1/opam

Library for serializing OCaml values to and from S-expressions

Part of Jane Street's Core library The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Necessary for
amf
arakoon
&>= 1.9.0
1.9.17
async-zmq
>= 0.3.0
async_core
108.00.02
async_parallel
&>= v0.9.0
v0.9.1
base
&>= v0.9.1
v0.9.4
bin_prot
&>= v0.9.0
v0.9.2
biocaml
bistro
&>= 0.2.0
0.4.0
bookaml
>= 3.1
camlhighlight
>= 4.0
charrua-core
>= 0.3
cohttp
>= 0.20.0
conduit
>= 0.12.0
coq-serapi
core
&>= v0.9.0
v0.9.2
core_extended
&>= v0.9.0
v0.9.1
core_kernel
&>= v0.9.0
v0.9.1
cstruct
>= 1.8.0
csvfields
v0.9.1
datakit-server
0.11.0
datakit-server-9p
diet
dns-forward
dockerfile
>= 1.7.2
dockerfile-opam
&>= 4.0.0
5.0.0
ezjsonm
>= 0.4.0
ezjsonm-lwt
frenetic
>= 5.0.0
git
1.1.0
graphql
0.4.0
graphql_parser
ipaddr
>= 2.7.0
jenga
&>= v0.9.0
v0.10.0
ketrew
&>= 3.0.0
3.1.0
mecab
message-switch
>= 1.4.0
mirage-http
&>= 2.5.0
2.5.3
mirage-net-macosx
mirage-net-xen
&>= 1.6.0
1.7.1
mirage-tc
&>= 0.2.0
0.3.0
msgpck
1.1
nbd
>= 2.1.0
netchannel
nocrypto
>= 0.5.3
ocaml-basics
ocaml-indent
ocaml-topexpect
>= 0.3
ocaml_plugin
&>= v0.9.0
v0.10.0
opass
>= 1.0.6
open_packaging
opium
&>= 0.14.0
0.16.0
opium_kernel
otr
>= 0.3.1
patdiff
&>= v0.9.0
v0.10.0
planck
>= 2.2.0
posixat
v0.9.1
ppx_assert
&>= v0.9.0
v0.10.0
ppx_meta_conv
|&>= 2.0.2
2.1.0
&>= 2.5.0
2.5.1
ppx_sexp_conv
&>= v0.9.0
v0.10.0
ppx_sexp_message
&>= v0.9.0
v0.10.0
ppx_sexp_value
&>= v0.9.0
v0.10.0
protocol-9p
>= 0.6.0
protocol-9p-unix
qcow
qcow-format
>= 0.3
qcow-tool
rpc_parallel
&>= v0.9.0
v0.10.0
sexp_pretty
v0.10.0
shared-block-ring
>= 2.3.0
ssh-agent
sslconf
tls
>= 0.7.1
tlstunnel
>= 0.1.2
typerep_extended
>= v0.9.0
uri
>= 1.9.2
vchan
>= 2.1.0
vchan-unix
vchan-xen
vmnet
>= 1.1.0
wamp
&>= 1.0
1.1
x509
>= 0.5.1
xapi-backtrace
yaml
>= 0.2.0
Optional for
cconv
libsvm
&>= 0.9.2
0.9.3
merlin
&>= 1.3.1
1.4
ppx_meta_conv
|&>= 2.1.0
2.5.0
>= 2.5.1